package com.bonus.system.leaveReporting.service;

import com.alibaba.fastjson2.JSONArray;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.system.dept.entity.EightRoleBean;
import com.bonus.system.dept.entity.EightRoleVo;
import com.bonus.system.dept.entity.ProDeptRoleBean;
import com.bonus.system.dept.entity.ProDeptRoleDo;
import com.bonus.system.leaveReporting.entity.LeaveReportingBean;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 休假报备-角色业务层
 * @author lsun
 */
public interface LeaveReportingService {

    /**
     * 获取休假报备
     * @param bean 参数
     * @return list bean
     */
    List<LeaveReportingBean> getLeaveReportingList(LeaveReportingBean bean);

    /**
     * 新增休假报备
     * @param o
     * @return
     */
    int insertLeaveReporting(LeaveReportingBean o);

    /**
     * 修改休假报备
     * @param o
     * @return
     */
    int updateLeaveReporting(LeaveReportingBean o);

    /**
     * 删除休假报备
     * @param id
     * @return
     */
    int deleteLeaveReportingById(Long id);

    /**
     * 查询休假报备
     * @param id
     * @return
     */
    LeaveReportingBean selectLeaveReportingById(Long id);

    /**
     *
     * @param id
     * @return
     */
    LeaveReportingBean getPostName(Long id);

    AjaxResult getUserList(Long id);

    LeaveReportingBean getDays(LeaveReportingBean bean);

    AjaxResult getUserListCheck(Long id);

    /**
     * 判断休假报备数据是否被核对
     * @param id
     * @return Integer
     * @author cwchen
     * @date 2025/2/12 14:32
     */
    Integer isCheck(Long id);
}
